Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232886 - Allow to start pirut as non root
Summary: Allow to start pirut as non root
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 09:46 UTC by Viktor
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 20:56:00 UTC


Attachments (Terms of Use)

Description Viktor 2007-03-19 09:46:06 UTC
I think it should be possible to start pirut and pup without providing the root
password.
You should be able to search for packages, see which packages are installed
and so on. First when you are to perform an action (install, remove etc) then
you should be asked for the password. For reference, you could run "rpm" along
with many commands, without having privileges.
Also, wouldn't that increase security slightly, since not the whole application
(including gui) would run as root?
This request would probably apply to many other sysadmin tools as well.

Comment 1 Jeremy Katz 2007-04-09 20:56:00 UTC
But doing this would also require having a user-specific place of storing the
repository metadata rather than using the bits that are downloaded and available
as root.


Note You need to log in before you can comment on or make changes to this bug.